1. luneth's Avatar
    Hello! I'm new in this forum, some friends told me about this forum and I'd love to have some help from you guys!

    I just got a 16gb Iphone 3gs (kinda old but it serves the purpose )

    *I'ts jailbreaked with a custom 4.1 rom.
    *06.15.00 baseband
    *not a factory unlocked phone.

    I want to update to 5.0.1 but I can't do it, Can't find the right tutorial. every single tutorial i found works only for unlocked phones and I think it won't work for me! .. Could someone help me please? I'm stuck! (sorry for my bad english :o)
    05-14-2012 11:52 PM
  2. 1982ollie's Avatar
    Hello! I'm new in this forum, some friends told me about this forum and I'd love to have some help from you guys!

    I just got a 16gb Iphone 3gs (kinda old but it serves the purpose )

    *I'ts jailbreaked with a custom 4.1 rom.
    *06.15.00 baseband
    *not a factory unlocked phone.

    I want to update to 5.0.1 but I can't do it, Can't find the right tutorial. every single tutorial i found works only for unlocked phones and I think it won't work for me! .. Could someone help me please? I'm stuck! (sorry for my bad english :o)
    I hate to say it my friend, but you can only update to the latest version of firmware as apple doesn't sign the old ones. There is a way around it, but you have to been previously jailboken on that firmware and I'm guessing you haven't been coz you want to get there now. You have to save a file called your SHSH blob file when you are on that firmware. I'm guessing you want 5.0.1 because there is un-tethered jailbreak. You can jailbreak 5.1.1 but it will be tethered, meaning you need a jailbreak utility to boot your phone if the battery dies or if you turn it off. There is going to be a new jailbreak utility for 5.1 & 5.1.1 in 2-4 weeks ish. But I read a tweet from the hacker saying that it doesn't support older devices like the 3GS.

    Could you deal with a tethered jailbreak or staying at 4.1, as they are your only options unless you have a saved shsh blob file for 5.0.1.

    Hope this helps.
    luneth likes this.
    05-15-2012 07:40 AM
  3. reahn's Avatar
    check the top of cydia next to SHSH


    Sent from my iPhone using Tapapoop
    05-15-2012 10:40 AM
  4. derk's Avatar
    Since the iphone 3Gs is jailbroken already on 4.1, from what I read it's definitely doable. You can use Tinyumbrella to backup your SHSH blobs. Then, in Cydia at the top of the first screen it will tell you what version(s) of the SHSH blobs are saved. Chances are it says versions 4.1 and higher. Using pwnage tool on Mac or snowbreeze on Windows, you create a customized ipsw of 5.0.1 and then restore via iTunes using the "trick" of having Tinyumbrella up to validate/sign the IPSW so you can update to 5.0.1.

    This is how I understand it since the iPhone 3GS is already jailbroken.
    05-15-2012 07:43 PM
  5. reahn's Avatar
    The iPhone 3GS with the iPad baseband is an oldbootrom. which is untethered jailbroken for life.


    Sent from my iPhone using Tapapoop
    05-22-2012 10:43 PM
  6. Peligro911's Avatar
    If you have the blobs then create a custom 5.0.1 and go

    If not wait till 5.1.1 JB is released create file update JB and unlock with ultrasnow fixer then ultrasnow


    Sent Into Orbit from my iPhone 4S using Tapatalk
    05-22-2012 10:48 PM
  7. reahn's Avatar
    make a custom ipsw for 5.1.1. without shsh blobs. a 3gs with the 6.15.00 bb is the old bootrom. untethered for life. so make a custom ipsw. then, go into pwned dfu and restore


    Sent from my iPhone using Tapapoop
    05-23-2012 10:26 AM
  8. 1982ollie's Avatar
    make a custom ipsw for 5.1.1. without shsh blobs. a 3gs with the 6.15.00 bb is the old bootrom. untethered for life. so make a custom ipsw. then, go into pwned dfu and restore


    Sent from my iPhone using Tapapoop
    Very good point!!
    reahn likes this.
    05-23-2012 04:13 PM
LINK TO POST COPIED TO CLIPBOARD